Subject: bug#68547: [PATCH] ; Fix 'mode-line-format-right-align' with ElDoc

From: João Távora <[email-masked]>
Date: Sun, 21 Jan 2024 08:52:33 +0000

On Sun, Jan 21, 2024 at 8:34 AM Eshel Yaron <[email-masked]> wrote:

> I tried your new patch, and it works well, AFAICT.  Two suggestions:
>
> 1. This patch omits a space that would appear before the info on the
>    mode line.  I like that bit of padding, so I suggest restoring it :)

OK.

> 2. In `eldoc--message-in-mode-line`, `add-hook` and `remove-hook` can be
>    called with non-nil LOCAL argument to further localize the effect,
>    although I'm not sure that makes a real difference in practice.

I tend to think it would break your pathological use cases of
shuffling buffers above the minibuffer while it is ongoing, no?
Two or more separate transient cleanup lambdas can appear
in those cases, no?

João